function [T,N] = SimulateSDE(S,a,n0,tmax,nPeriods)

A = @(n) S*a(n) ;
D = @(n) S*diag(sqrt(a(n)));

dt = tmax/nPeriods;      % time increment
T = 0:dt:tmax;

dW = sqrt(dt)*randn(size(S,2),1);

N = zeros(2,nPeriods+1);
N(:,1) = n0;

for i=1:nPeriods
    N(:,i+1)=N(:,i)+dt*A(N(:,i)) + D(N(:,i))*dW;
end