clear all; clc; close all;
r = [0.5 0.7 0.5];
n = [20 20 40];
numpar = numel(n);

k = (0:40).';
P = zeros(numel(k),numpar);


for i = 1:numpar    
    P(:,i) = binopdf(k,n(i),r(i));
end

Interpreter = 'latex';
 
fig = prepfigure([8 6.3]);
ax = prepaxes('box', 'on');

h = plot(k, P);

set(h,'LineStyle', 'none', ...
    'MarkerSize', 3, ...
    {'Marker'}, {'o';'+';'x'}, ...
    {'Color'}, {'b';'k';'r'} );

axis([0 42 0 0.25])
  
hlab(1) = xlabel('$k$');
hlab(2) = ylabel('$P(k)$');
set(hlab, 'Interpreter', Interpreter)
% rm2sf(hlab)

setaxes('yoffset')

legstr = @(i) ['$n=' num2str(n(i)) ',\ r=', num2str(r(i)), '$'];
hleg = legend({legstr(1),legstr(2),legstr(3)}, 'Interpreter', Interpreter );
% matlab2tikz('binomial_pmf.tikz', 'mathmode', false)
fixlegend()
% set(hbox, 'facecolor', 'w')
% uistack(hbox,'bottom')
%%
% fig2tikz('binomial_pmf')
setfigure
% % print -dpdf binomial_pmf.pdf
printfigure('binomial_pmf')
% % export_svg('binomial_pmf')