clear all;clc;close all

if exist('make_enzkin_2ma', 'file')
    dydt = @make_enzkin_2ma;
else
    k = [1e-3 1e-4 0.1];
    etot = 20;    
    % ssz = 1;
    
    param.k = k;
    param.etot = etot;
    % param.ssz = ssz;
    
    [S,a] = makereaction('enzkin', param);
    make2ma(S,a);
    enzkin_2ma;
end
%%
t0 = 0;
tf = 100; % sec
stot = 50;
y0 = [stot;zeros(4,1)];

% [t_2ma,y] = ode15s(dydt, [t0 tf], y0);
[t_2ma,y] = ode15s(dydt, [t0 tf], y0);

mu_2ma = y(:,1:2);

sd_2ma = sqrt(y(:,[3 5]));

prepfigure([8 6.3], 'Name', 'enzkin_2ma')
ax = prepaxes('box', 'on', 'Color', 'none');

hold all;

load enzkin_stoch
% plot(t_ensem,mu,'-r');
% plot(t_2ma,mu_2ma, '-b')

ti = linspace(0,tf,20).';
for i=1:2
    yi_ensem = interp1q(t_ensem, [mu(:,i) sd(:,i)], ti);
    errorbar(ti,yi_ensem(:,1),yi_ensem(:,2), 'or');
    yi_2ma = interp1q(t_2ma, [mu_2ma(:,i) sd_2ma(:,i)], ti);
    errorbar(ti,yi_2ma(:,1),yi_2ma(:,2), 'xb');
end

axis([0 tf 0 stot])
% set(ax, 'YTick', 14:7:28)

htext = gtext({'$\mathrm{S}$';'$\mathrm{ES}$'});
set(htext, 'Interpreter', 'latex')

xlabel('time (sec)')
ylabel('copy number')

%%
setfigure
printfigure