clear all;clc;close all

tmax = 100; % sec

k = [1e-3 1e-4 0.1];
etot = 20;
stot = 50;
n0 = [stot;0];
nPaths = 1000;

param.k = k;
param.etot = etot;

[S,a] = makereaction('enzkin', param);

A = @(t,n) S*a(n) ;
D = @(t,n) S.*sqrt(repmat(a(n)',size(S,1),1));

SDE = sde(A, D, 'StartState', n0); 

nPeriods = 250;      % # of simulated observations
dt       =   tmax/nPeriods;      % time increment

strm = RandStream('mt19937ar','Seed',142857);
RandStream.setDefaultStream(strm);
[N,T] = SDE.simulate(nPeriods, 'DeltaTime', dt, 'nTrials', nPaths);

N = real(N);

N1 = N(:,:,1); % first realisation

M = mean(N,3);

SD = std(N,[],3);

N_endpoint = squeeze(N(end,2,:))';

save enzkin_sde T N1 M SD N_endpoint etot stot tmax k