clear all;clc;close all

load enzkin_sde
load enzkin_stoch

fig = prepfigure([11.8 6], 'Name', 'enzkin_sde');

ax = prepsubaxes(1, 2, 0.04, [0.08 0.13 0.02 0.02], 'xscaling', [2 1]);

set(fig, 'CurrentAxes', ax(1))

hold all;
%---------------------------------------------------
hsde = plot(T,N1,'-m');

ti = linspace(0,tmax,20).';
for i=1:2
    yi_ensem = interp1q(t_ensem, [mu(:,i) sd(:,i)], ti);
    errorbar(ti,yi_ensem(:,1),yi_ensem(:,2), 'or');
    yi_sde = interp1q(T, [M(:,i) SD(:,i)], ti);
    errorbar(ti,yi_sde(:,1),yi_sde(:,2), 'xb');
end

axis([-4 tmax 0 stot+5])
set(ax(1), 'XLim', [-4 tmax], 'YLim', [0 stot+5], 'YTick', 0:25:stot)

htext = gtext({'$\mathrm{S}$';'$\mathrm{ES}$'});
set(htext, 'Interpreter', 'latex')

xlabel('time (sec)')
ylabel('copy number')
%---------------------------------------------------

set(fig, 'CurrentAxes', ax(2))
hold all;
%---------------------------------------------------
offset = [-2 2];
erange = [0 etot] + offset;
srange = [0 stot] + offset;
np_e = linspace(0,etot,100)';
np_s = linspace(0,stot,100)';
p_e(:,2) = ksdensity(N_endpoint(:,2), np_e, 'support', erange);
p_s(:,2) = ksdensity(N_endpoint(:,1), np_s, 'support', srange);
p_e(:,1) = ksdensity(x_endpoint(:,2), np_e, 'support', erange);
p_s(:,1) = ksdensity(x_endpoint(:,1), np_s, 'support', srange);
hp = plot(p_e, np_e, '-', p_s, np_s, '-');
set(hp, {'LineStyle'}, {'--';'-';'--';'-'}, {'Color'}, {'r';'b';'r';'b'}, {'LineWidth'}, {1.2;1;1.2;1})
set(ax(2), 'XLim', [0 1.05*max([p_e(:);p_s(:)])], 'YLim', [0 stot], 'YTick', [])
xlabel('empirical PDF')
set(ax, 'XTick', 0:50:tmax)

htext = gtext({'$\mathrm{S}$';'$\mathrm{ES}$'});
set(htext, 'Interpreter', 'latex')

%%
setfigure
printfigure