clear all; clc; close all;

lambda = [0.5 1.0 1.5];
numpar = numel(lambda);

x = linspace(0,5,1000).';
p = zeros(numel(x),numpar);

for i = 1:numpar
    p(:,i) = exp(-lambda(i)*x);
end

Interpreter = 'latex';

prepfigure([8 6.3])
ax = prepaxes('box','on');

h = plot(x, p);
% h = plot(x, p, 'LineSmoothing', 'on');

set(h, {'Color'}, {'b';'k';'r'}, {'LineStyle'}, {'-';'--';'-.'} );

hxlab = xlabel('$x$');
hylab = ylabel('$G(x)$');
set([hxlab, hylab], 'Interpreter', Interpreter)

setaxes('yoffset')

legstr = @(i) ['$\lambda=', num2str(lambda(i),'%.1f'), '$'];

hleg = legend({legstr(1),legstr(2),legstr(3)}, 'Interpreter', Interpreter );

%%
% fixlegend
%%
setfigure

printfigure('exp_ccdf')
% export_svg('exp_ccdf')