clear all; clc; close all;

lambda = [0.5 1.0 1.5];
numpar = numel(lambda);

x = linspace(0,5,1000).';
p = zeros(numel(x),numpar);

for i = 1:numpar    
    p(:,i) = exppdf(x,lambda(i));
end

Interpreter = 'latex';

prepfigure([8 6.3]);
ax = prepaxes('box','on');
h = plot(x, p);

set(h, {'LineStyle'}, {'-';'--';'-.'}, ...
       {'Color'}, {'b';'k';'r'} );

legstr = @(i) ['$\lambda=', num2str(lambda(i),'%.1f'), '$'];

hleg = legend(legstr(1), legstr(2), legstr(3));
set(hleg, 'Interpreter', Interpreter)

hxlab = xlabel('$x$');
hylab = ylabel('$p(x)$');
set([hxlab, hylab], 'Interpreter', Interpreter)

setaxes(ax, 'yoffset')
% ah.yoffset();
setfigure
printfigure('exp_pdf')