function [fig,args,nargs] = figurecheck(varargin)
%FIGURECHECK Process leading Figure object from input list
%   [FIG,ARGS,NARGS] = FIGURECHECK(ARG1,ARG2,...) checks if ARG1 is a
%   Figure and returns it in FIG if it is and returns the processed argument
%   list in ARGS and NARGS.  If ARG1 is not a Figure, FIG will return empty.
%   Also checks arguments that are property-value pairs 'parent',ARG.

args = varargin;
nargs = nargin;
fig=[];
if (nargs > 0) && isscalar(args{1}) && ishghandle(args{1},'figure')
  fig = args{1};
  args = args(2:end);
  nargs = nargs-1;
end
if nargs > 0
  inds = find(strcmpi('parent',args));
  if ~isempty(inds)
    inds = unique([inds inds+1]);
    pind = inds(end);
    if nargs >= pind && ishghandle(args{pind})
      fig = args{pind};
      args(inds) = [];
      nargs = length(args);
    end
  end
end