function b = fix2(a,n)
%FIX2 Round to a specified number of decimals towards zero.
%
%   FIX2(A) returns the same as FIX(A).
%   Y = FIX2(A, N) fixes the elements of A to decimals specified in N.
%
%   See also: FIX, FLOOR, CEIL, ROUND, ROUND2.

if nargin<2 || ~any(n(:)) || isempty(a)
    b = fix(a);
else
    assert(isscalar(a) || isscalar(n) || isequal(size(a),size(n)), ...
        'Non-scalar inputs must be the same size')
    t2n = 10.^floor(n);
    b = fix(a.*t2n)./t2n;
%     b = eval(mat2str(a,n+1));
end