clear all; clc; close all;

n = [1 2 3 5 9];
lambda = [.5 .5 .5 1 2];
numpar = numel(n);
a = n;
b = 1./lambda;

x = linspace(0,20,1000).';
p = zeros(numel(x),numpar);

for k = 1:numpar    
    p(:,k) = gampdf(x,a(k),b(k));
end

Interpreter = 'latex';

prepfigure([8 6.3]);
ax = prepaxes('box','on');
h = plot(x, p);
Color = {'b';'k';'r';'m';'c'};
set(h, {'Color'}, Color);

hxlab = xlabel('$x$');
hylab = ylabel('$p(x)$');
set([hxlab, hylab], 'Interpreter', Interpreter)

setaxes(ax, 'yoffset')

txtar = zeros(1,numpar);

txtstr = @(i) ['$n=', num2str(n(i)), ',\ \lambda=', num2str(lambda(i)), '$'];

arlocx = [0.5 5 10 4.5 4.5];

for i=1:numpar
    iloc = find(x>arlocx(i), 1, 'first');
    xloc = [x(iloc)+2.5, x(iloc)]; 
    yloc = [p(iloc,i)+0.03, p(iloc,i)];
%     [xfig,yfig] = setaxes(ax, 'dsxy2figxy', xloc,yloc);
    [xfig,yfig] = dsxy2figxy(ax, xloc,yloc);
    txtar(i) =  annotation( 'textarrow',xfig,yfig, ...        
                       'Interpreter', Interpreter, 'String', txtstr(i) );
end
                                      
set(txtar, {'Color'}, Color, 'HeadStyle', 'vback3', ...
       'HeadLength', 5, 'HeadWidth', 5, 'LineWidth', get(ax, 'LineWidth'));
   
%%
% plotedit(gcf,'on')
% disp('=== Select, move and resize object. Use mouse and arrow keys.')
% disp('=== When you are finished, press Return to continue.')
% pause
%%     
setfigure
printfigure('gamma_pdf')