%%
clear all; clc; close all;

cstr = {'none', 'transcription', 'translation', 'feedback'};

fnames = cellfun(@(x) ['genereg_stoch_' x], cstr, 'UniformOutput', false);

for i=3:-1:1
    load(fnames{i})
    tt{i} = t_ensem;
    mm{i} = mu;
    xx(i,:) = {sd sd./mu sd.^2./mu};
    clearvars -except tt xx fnames
end
%%

fig = prepfigure([11.70 4.6], 'Name', 'genereg_noise');

titstr = {'SD', 'CV', 'Fano factor'};

ax = prepsubaxes(1,3,0.04, [0.04 0.18 0.01 0.10]);

for j=3:-1:1
    set(fig, 'CurrentAxes', ax(j))
    h(j,:) = plot(tt{1}, xx{1,j}, '-b', tt{2}, xx{2,j}, '--r', tt{3}, xx{3,j}, '-.m');
    xlabel('time (sec)')
    title(titstr{j});
end

set(ax(1), 'YLim', [0 74], 'YTick', [0 74])

set(ax(2), 'YLim', [0 2], 'YTick', [0 2])

set(ax(3), 'YLim', [0 34], 'YTick', [0 34])

set(h(:,2:3), 'LineWidth' ,1.2)

set(ax, 'xlim', [0 8], 'XTick', [0 4 8])

%%
setfigure
printfigure
