%%
clear all; clc; close all;

fname = 'genereg_stoch_';

cstr = {'none', 'transcription', 'translation', 'feedback'};

casenum = 3;

fname = [fname cstr{casenum}];

load([fname '.mat'])

fig = prepfigure([11.8 4], 'Name', fname);

ax = prepsubaxes(1, 2, 0.04, [0.10 0.20 0.02 0.04], 'xscaling', [2 1]);

set(fig, 'CurrentAxes', ax(1))
hold all;
%---------------------------------------------------
nmax = floor(1.05*max(max(x_ssa), max(mu)));

% nmax = max(max(x_ssa), max(mu));
% 
% x_ssa = x_ssa/nmax;
% mu = mu/nmax;
% x_ode = x_ode/nmax;

hssa = stairs(t_ssa,x_ssa);

hmean = plot(t_ensem,mu);

% ti = linspace(0,8,20).';
% yi = interp1q(t_ensem, [mu,sd], ti);
% errorbar(ti,yi(:,1),yi(:,2), '.r');

axis([0 8 0 nmax])

set(ax(1), 'YTick', [0 nmax])

set([hssa;hmean], {'Color'}, {'b';'r'}, {'LineWidth'} ,{1;1.2})

xlabel('time (sec)');
ylabel('protein abundance');
%---------------------------------------------------

set(fig, 'CurrentAxes', ax(2))
hold all;
%---------------------------------------------------
hhist = barh(xbin,nOut);
set(hhist, 'LineWidth' ,0.2, 'FaceColor', [0.8 .8 1])
hbase = get(hhist,'BaseLine');
set(hbase,'LineStyle','none')
axis([0 1.05*max(nOut) 0 nmax])
set(gca,'YTick', [])
xlabel('count');
%---------------------------------------------------

setfigure
printfigure

