clear all; clc; close all;

r = [0.2 0.5 0.8];
numpar = numel(r);

k = [0:10].';
P = zeros(numel(k),numpar);


for i = 1:numpar    
    P(:,i) = geopdf(k,r(i));
end

Interpreter = 'latex';

prepfigure([8 6.3]);
ax = prepaxes('box','on');
h = plot(k, P);

set(h,'LineStyle', 'none', ...
      'MarkerSize', 3, ...
      {'Marker'}, {'o';'+';'x'}, ...
      {'Color'}, {'b';'k';'r'} );

legstr = @(i) ['$\lambda=', num2str(r(i),'%.1f'), '$'];
hleg = legend(legstr(1), legstr(2), legstr(3));
set(hleg, 'Interpreter', Interpreter)

hxlab = xlabel('$k$');
hylab = ylabel('$P(k)$');
set([hxlab, hylab], 'Interpreter', Interpreter)
fixlegend(0.8)
setaxes yoffset

setfigure
printfigure('geometric_pmf')