clear all;clc;close all

c = [1 1];
q = [30 30];
ssz = 1;

param.k = c;
param.q = q;
param.ssz = ssz;

[S,a] = makereaction('heterodim', param);
dydt = make2ma(S,a);

t0 = 0;
tf = 1.5; % sec
y0 = [15;0];

[t_2ma,y] = ode45(dydt, [t0 tf], y0);

mu_2ma = y(:,1);
sd_2ma = sqrt(y(:,2));

prepfigure([8 6.3])
ax = prepaxes('box', 'on', 'Color', 'none');

hold all;

load heterodim_stoch

% plot(t_ensem, mu, '-r', t_2ma, mu_2ma, '-b');

ti = linspace(0,1.5,20).';
yi(:, [1 3]) = interp1q(t_ensem, [mu,sd], ti);
yi(:, [2 4]) = interp1q(t_2ma, [mu_2ma sd_2ma], ti);

herr = errorbar([ti ti], yi(:,1:2), yi(:,3:4));
set(herr, 'LineStyle', 'none', {'Color'}, {'r';'b'}, {'Marker'}, {'o';'x'})

axis([-0.05 1.55 14 28])
set(ax, 'YTick', 14:7:28)

xlabel('time (sec)')
ylabel('copy number')

setfigure
printfigure('heterodim_2ma')
