clear all; clc; close all

n0 = 15;
tmax = 1.5;
nPaths = 1000;

c = [1 1];
q = [30 30];
ssz = 1;

param.k = c;
param.q = q;
param.ssz = ssz;

[S,a] = makereaction('heterodim', param);

A = @(t,n) S*a(n) ;
D = @(t,n) S.*sqrt(repmat(a(n)',size(S,1),1));
SDE = sde(A, D, 'StartState', n0);

nPeriods = 250;      % # of simulated observations
dt       =   tmax/nPeriods;      % time increment

strm = RandStream('mt19937ar','Seed',142857);
RandStream.setDefaultStream(strm);
[N,T] = SDE.simulate(nPeriods, 'DeltaTime', dt, 'nTrials', nPaths);

N = real(N);

N1 = N(:,:,1); % first realisation

M = mean(N,3);

SD = std(N,[],3);

N_endpoint = squeeze(N(end,1,:));

%%

save heterodim_sde T N1 M SD N_endpoint n0 tmax c