%%

clear all; clc; close all;

load heterodim_sde
load heterodim_stoch

fig = prepfigure([11.8 6], 'Name', 'heterodim_sde');

ax = prepsubaxes(1, 2, 0.04, [0.08 0.13 0.02 0.02], 'xscaling', [2 1]);

set(fig, 'CurrentAxes', ax(1))
hold all;
%---------------------------------------------------
hsde = plot(T,N1,'-m');

ti = linspace(0,1.5,20).';
yi(:, [1 3]) = interp1q(t_ensem, [mu,sd], ti);
yi(:, [2 4]) = interp1q(T, [M SD], ti);

herr = errorbar([ti ti], yi(:,1:2), yi(:,3:4));
set(herr, 'LineStyle', 'none', {'Color'}, {'r';'b'}, {'Marker'}, {'o';'x'})

set(ax(1), 'XLim', [-0.05 1.55], 'YLim', [14 30], 'YTick', 15:5:30)

xlabel('time (sec)');
ylabel('copy number');
%---------------------------------------------------

set(fig, 'CurrentAxes', ax(2))
hold all;
%---------------------------------------------------
nprange = [14 30];
np = linspace(nprange(1),nprange(2),100)';
p(:,2) = ksdensity(N_endpoint, np, 'support', nprange);
p(:,1) = ksdensity(x_endpoint, np, 'support', nprange);
hp = plot(p, np);
set(hp, {'LineStyle'}, {'--';'-'}, {'Color'}, {'r';'b'}, {'LineWidth'}, {1.2;1})
set(ax(2), 'XLim', [0 1.05*max(p(:))], 'YLim', nprange, 'YTick', [])
xlabel('empirical PDF')

%%
setfigure
printfigure
