%%

clear all; clc; close all;

load heterodim_stoch

fig = prepfigure([11.8 6], 'Name', 'heterodim_stoch');

ax = prepsubaxes(1, 2, 0.04, [0.08 0.13 0.02 0.02], 'xscaling', [2 1]);

set(fig, 'CurrentAxes', ax(1))
hold all;
%---------------------------------------------------
hssa = stairs(t_ssa,x_ssa);

hmean = plot(t_ensem,mu);

ti = linspace(0,1.5,20).';
yi = interp1q(t_ensem, [mu,sd], ti);
errorbar(ti,yi(:,1),yi(:,2), '.r');

hode = plot(t_ode, x_ode);

axis([0 1.5 14 30])

set(ax(1), 'YTick', 15:5:30)

set([hode;hssa;hmean], ...
      {'LineStyle'}, {'--';'-';'-'}, ...
      {'Color'}, {'b';'k';'r'}, ...
      {'LineWidth'} ,{1.2;1;1})

xlabel('time (sec)');
ylabel('copy number');
%---------------------------------------------------

% ax(2) = prepaxes('Position', pos2, 'Box', 'on');
set(fig, 'CurrentAxes', ax(2))
hold all;
%---------------------------------------------------
[nOut,xbin] = hist(x_endpoint,10);
hhist = barh(xbin,nOut);
set(hhist, 'LineWidth' ,0.2, 'FaceColor', [0.8 .8 1])
hbase = get(hhist,'BaseLine');
set(hbase,'LineStyle','none')
axis([0 1.05*max(nOut) 14 30])
set(gca,'YTick', [])
xlabel('count')
%---------------------------------------------------


%%
setfigure
printfigure
