clear all; clc; close all;

ntot = 20;
p = 0.5;
k(1) = 2;
k(2) = k(1)*p/(1-p);

numax_y = 1;
numax_x = 2;

fig = prepfigure([11.75 6], 'Name', 'isom_binom');

dx = .04;
numax = numax_x*numax_y;

[ax,sax] = prepsubaxes(numax_y,numax_x, dx, [0.08 0.15 0.02 0.06]);

set(fig, 'CurrentAxes', ax(1))
n = (0:ntot).';
P = binopdf(n, ntot, p);
h = stem(n, P, 'Marker','.');
delete(get(h,'Baseline'))

set(fig, 'CurrentAxes', ax(2))
ntot = 2*ntot;
p = 0.5*p;
k(2) = k(1)*p/(1-p);
n = (0:ntot).';
P = binopdf(n, ntot, p);
h = stem(n, P, 'Marker','.');
delete(get(h,'Baseline'))

set(ax, 'YLim', [0 0.2], 'YTick', 0:0.1:0.2)

% for i=1:numax
%     xlabel(ax(i), 'protein abundance')
%     ylabel(ax(i), 'probability')
% end

sax.finish()
% set(sax.labelx, 'XTick', [0 2 4]);
% set(sax.labely, 'YTick', [0 5 10]);

sax.xlabel('protein abundance')
sax.ylabel('probability')

%%

setfigure
printfigure
