
clear all; clc; close all;

numax_y = 1;
numax_x = 2;

fig = prepfigure([11.8 6]);
Interpreter = 'latex';

dx = .02;
numax = numax_x*numax_y;

ax = prepsubaxes(numax_y,numax_x,dx, [0.05 0.05 0.02 0]);

set(fig, 'CurrentAxes', ax(1))
load isom_discreteness_2000
hold on
stairs(t_ssa, x_ssa, '-b')
plot(t_ode, x_ode, '-r')
hold off
nmax = max(x_ssa);
set(ax(1), 'YTick', nmax, 'YTickLabel', [])
text(0.1, nmax, '$n_{\max}^{\mathrm{large}}$', 'Interpreter', Interpreter)
xlabel('time')
ylabel('copy number')

clearvars t_ssa x_ssa t_ode x_ode

set(fig, 'CurrentAxes', ax(2))
load isom_discreteness_20
hold on
stairs(t_ssa, x_ssa, '-b')
plot(t_ode, x_ode, '-r')
hold off
nmax = max(x_ssa);
set(ax(2), 'YLim', [0 1.1*nmax], 'YTick', max(x_ssa), 'YTickLabel', [])
text(0.1, nmax, '$n_{\max}^{\mathrm{small}} \ll n_{\max}^{\mathrm{large}}$', 'Interpreter', Interpreter)
xlabel('time')
set(ax, 'XLim', [0 5], 'XTick', [])
set(ax, 'PlotBoxAspectRatioMode', 'manual')
%%
setfigure
printfigure('isom_discreteness')