clear all; clc; close all

k = [2 2];
% k = [3 1];
% k = [1.5 2.5];
ntot = 20;
tmax = 5;
nPaths = 1000;

param.k = k;
param.ntot = ntot;
[S,a] = makereaction('isom', param);

A = @(t,n) S*a(n) ;
D = @(t,n) S.*sqrt(repmat(a(n)',size(S,1),1));
SDE = sde(A, D, 'StartState', ntot);  

nPeriods = 250;      % # of simulated observations
dt       =   tmax/nPeriods;      % time increment

strm = RandStream('mt19937ar','Seed',142857);
RandStream.setDefaultStream(strm);
[N,T] = SDE.simulate(nPeriods, 'DeltaTime', dt, 'nTrials', nPaths);

N = real(N);

N1 = N(:,:,1);

M = mean(N,3);

SD = std(N,[],3);

N_endpoint = squeeze(N(end,1,:));
%%

save isom_sde T N1 M SD N_endpoint ntot tmax k