clear
k = [2,2];

dxdt = @(t,x) k (2)/(k(1)+k(2))-x; % ODE


% Define initial conditions.
t0 = 0;
tf = 5;
x0 = 1;
% Simulate the differential equation.
tf = tf*(1+eps);
[t,x] = ode15s(dxdt,[t0 tf],x0);


x = [x,1-x];

i = find(t>1, 1, 'first');

prepfigure([8 6.3]);
ax = prepaxes('box','on');
hTimeCourse = plot(t, x);
xlim([t0 tf])
ylim([0 1.02])
set(hTimeCourse,{'LineWidth'},{1;1.2},{'LineStyle'},{'-';'--'},{'Color'},{'b';'r'});
htext(1) = text(t(i),x(i,1)+0.05,'U');
htext(2) = text(t(i),x(i,2)-0.05,'W');
set(htext, {'Color'}, {'b';'r'}, 'FontName', 'Times')
set(ax, 'YTick', [0 0.5 1])
%%
xlabel('time')
ylabel('concentration (fraction)')
setfigure
printfigure('isom_ode')