clear all; clc; close all

ntot = 20;
% k = [2 1 3; 2 3 1];
k = [3 1];
% k = [1 3];
k0 = k(1)+k(2);

% n = (0:ntot).';
% t = [0:.5:5].';

numax_y = 1;
numax_x = 2;

fig = prepfigure([13 7]);
Interpreter = 'latex';

dx = .12;
numax = numax_x*numax_y;

ax = prepsubaxes(numax_y,numax_x,dx);

set(fig, 'CurrentAxes', ax(1))
ni = (0:15).';
ti = (0:0.1:1).';
[tti,nni] = meshgrid(ti,ni);
ppi1 = (k(1)+k(2)*exp(-k0*tti))/k0;
ppi = binopdf(nni, ntot, ppi1);
mesh(tti, nni, ppi, 'EdgeColor', 'b', 'FaceColor', 'none')
view(-51, 22);shg

set(fig, 'CurrentAxes', ax(2))
n = (0:ntot).';
t = (1:.5:5).';
[tt,nn] = meshgrid(t,n);
pp1 = (k(1)+k(2)*exp(-k0*tt))/k0;
pp = binopdf(nn, ntot, pp1);
mesh(tt, nn, pp, 'EdgeColor', 'b', 'FaceColor', 'none')
view(-66, 30);shg

axis(ax, 'tight')
set(ax, 'PlotBoxAspectRatioMode', 'manual')

for i=1:numax
    xlabel(ax(i), '$t$', 'Interpreter', Interpreter)
    ylabel(ax(i), '$n$', 'Interpreter', Interpreter)
    zlabel(ax(i), '$P(n,t)$', 'Interpreter', Interpreter)
end

%%
setfigure
printfigure('isom_pmf')

%%

% numax_y = 3;
% numax_x = 3;
% 
% t = [0 0.1 0.2 0.3 0.8 1 2 3 4];
% 
% % P = zeros(numel(n),numel(t));
% 
% prepfigure([15 11])
% Interpreter = 'latex';
% 
% dx = .005;
% dy = .005;
% numax = numax_x*numax_y;
% 
% [ax,indkpx] = prepsubaxes(numax_y,numax_x,[dx dy]);
% 
% k0 = k(1)+k(2);
% txtposx = 0.7*n(end);
% txtposy = 0.8;
% 
% for i=1:numax
%     axes(ax(i))
%     p1 = (k(1)+k(2)*exp(-k0*t(i)))/k0;
%     P = binopdf(n,ntot,p1);
%     hStem(i) = stem(n,P);
%     ylim([0 1])
%     htext(:,i) = text(txtposx, txtposy, ['$P(n,',num2str(t(i)),')$']);
% end

%%

% finishsubaxes(ax,numax_y,numax_x)
% 
% hxlab = [];
% for i=indkpx(:).'
%     hxlab = [hxlab, xlabel(ax(i),'$n$')];
% end
% 
% set(hStem, 'Color', 'blue', 'Marker', 'Square', 'MarkerSize', 2, ...
%        'MarkerFaceColor', 'red', 'MarkerEdgeColor', 'red')
%    
% set(hxlab, 'fontsize', 10)
% set([hxlab,htext], 'Interpreter', Interpreter)

%%
% gh = setfigure('isom_pmf');
% gh.print2pdf('eps2pdf')