
clear all; clc; close all;

load isom_sde
load isom_stoch

figw = 12;
aspratio = 0.48;

fig = prepfigure(figw*[1 aspratio], 'Name', 'isom_sde');

pos0 = get(0, 'DefaultAxesPosition');
pos0(1) = pos0(1) - 0.05;
pos0(2) = pos0(2) + 0.05;

dx = 0.05;
hg = aspratio*pos0(4);
pos1 = pos0; pos2 = pos0;

pos = pos0([1 1],:);

pos(:,3) = [4/3;3/4]*hg;
pos(2,1) = pos(1,1) + pos(1,3) + dx;

ax(1) = prepaxes('Position', pos(1,:), 'Box', 'on');
hold all;
%---------------------------------------------------
hsde = plot(T,N1,'-m');

ti = linspace(0,5,20).';
yi(:, [1 3]) = interp1q(t_ensem, [mu,sd], ti);
yi(:, [2 4]) = interp1q(T, [M SD], ti);

herr = errorbar([ti ti], yi(:,1:2), yi(:,3:4));
set(herr, 'LineStyle', 'none', {'Color'}, {'r';'b'}, {'Marker'}, {'o';'x'})

set(ax(1), 'XLim', [-0.2 5], 'YLim', [0 22], 'YTick', 0:5:20)

xlabel('time')
ylabel('copy number')
%---------------------------------------------------

ax(2) = prepaxes('Position', pos(2,:), 'Box', 'on');
hold all;
%---------------------------------------------------
np = linspace(0,20,100)';
p(:,2) = ksdensity(N_endpoint, np, 'support', [0 20]);
p(:,1) = ksdensity(x_endpoint, np, 'support', [0 20]);
hp = plot(p, np);
set(hp, {'LineStyle'}, {'--';'-'}, {'Color'}, {'r';'b'}, {'LineWidth'}, {1.2;1})
set(ax(2), 'XLim', [0 1.05*max(p(:))], 'YLim', [0 22], 'YTick', [])
xlabel('empirical PDF')

%%

setfigure
printfigure