clear all; clc; close all;
k = [2 2];
% k = [1 3];
% k = [3 1];
% k = [1.5 2.5];
n0 = 20;
tmax = 5;

Mobj = sbiomodel('cell');
compObj = addcompartment(Mobj, 'contents');
Robj1 = addreaction(Mobj, 'X1 -> X2');
Kobj1 = addkineticlaw(Robj1,'MassAction');
Pobj1 = addparameter(Kobj1, 'k1', k(1));
set(Kobj1, 'ParameterVariableNames', 'k1');

Robj1r = addreaction(Mobj, 'X2 -> X1');
Kobj1r = addkineticlaw(Robj1r,'MassAction');
Pobj1r = addparameter(Kobj1r, 'k1r', k(2));
set(Kobj1r, 'ParameterVariableNames', 'k1r');

Sobj1 = sbioselect('Type', 'species', 'Name', 'X1');
set(Sobj1, 'InitialAmount', n0);
Sobj2 = sbioselect('Type', 'species', 'Name', 'X2');
set(Sobj2, 'InitialAmount', 0);

cs = getconfigset(Mobj);
set(cs, 'StopTime', tmax);

[t_ode, x_ode] = sbiosimulate(Mobj, cs);

set(cs, 'SolverType', 'ssa');
cs.SolverOptions.LogDecimation = 5;
cs.SolverOptions.RandomState = [];

[t_ssa, x_ssa] = sbiosimulate(Mobj, cs);

% x_ode = x_ode(:,2);
% x_ssa = x_ssa(:,2);
% hold on
% stairs(t_ssa, x_ssa)
% plot(t_ode, x_ode)
% hold off
% 
% save(['isom_discreteness' int2str(n0)], 't_ode', 'x_ode', 't_ssa', 'x_ssa')


%%

% runs = 10;
% cs.SolverOptions.RandomState = [];
% % cs.SolverOptions.LogDecimation = 10;
% 
% simDataObj = sbioensemblerun(Mobj, runs);
% [tcell, ncell] = selectbyname(simDataObj, 'X1');
% x_ode = x_ode(:,1);
% save(['isom_traj_dk', num2str(k(1)-k(2))], 't_ode', 'x_ode', 'tcell', 'ncell')


runs = 1e3;
cs.SolverOptions.RandomState = [];
simDataObj = sbioensemblerun(Mobj, runs, 'linear');
%%
[t_ensem,mu,var] = sbioensemblestats(simDataObj, {'X1'});
sd = sqrt(var);
newsimDataObj = resample(simDataObj, t_ensem(end), 'zoh');
% [~, nncell] = select(newsimDataObj, {'Type','species','Name','X3'});
[~, nncell] = selectbyname(newsimDataObj, 'X1');
x_endpoint = [nncell{:}]';

x_ode = x_ode(:,1);
x_ssa = x_ssa(:,1);
save isom_stoch t_ode x_ode t_ssa x_ssa t_ensem mu sd x_endpoint runs
