
clear all; clc; close all;

load isom_stoch

figw = 12;
aspratio = 0.48;

fig = prepfigure(figw*[1 aspratio], 'Name', 'isom_stoch');

pos0 = get(0, 'DefaultAxesPosition');
pos0(1) = pos0(1) - 0.05;
pos0(2) = pos0(2) + 0.05;

dx = 0.05;
hg = aspratio*pos0(4);
pos1 = pos0; pos2 = pos0;

pos = pos0([1 1],:);

pos(:,3) = [4/3;3/4]*hg;
pos(2,1) = pos(1,1) + pos(1,3) + dx;

ax(1) = prepaxes('Position', pos(1,:), 'Box', 'on');
hold all;
%---------------------------------------------------
hssa = stairs(t_ssa,x_ssa);

hmean = plot(t_ensem,mu);

% numelt = numel(t_ensem);
% ind = [1:8:numelt-1 numelt];
% errorbar(t_ensem(ind),mu(ind),sd(ind), '.r');

ti = linspace(0,5,20).';
yi = interp1q(t_ensem, [mu,sd], ti);
errorbar(ti,yi(:,1),yi(:,2), '.r');

hode = plot(t_ode, x_ode);

xlim([0 5])
set(ax(1), 'YTick', 8:4:20)
set([hode;hssa;hmean], ...
      {'LineStyle'}, {'--';'-';'-'}, ...
      {'Color'}, {'b';'k';'r'}, ...
      {'LineWidth'} ,{1.2;1;1})

xlabel('time')
ylabel('copy number')
%---------------------------------------------------

ax(2) = prepaxes('Position', pos(2,:), 'Box', 'on');
hold all;
%---------------------------------------------------
[nOut,xbin]=hist(x_endpoint,10);
hhist = barh(xbin,nOut);
set(hhist, 'LineWidth' ,0.2, 'FaceColor', [0.8 .8 1])
hbase = get(hhist,'BaseLine');
set(hbase,'LineStyle','none')
% set(ax(2), 'XTick', [0 200 400], 'YTick', [])
set(ax(2), 'XLim', [0 1.05*max(nOut)], 'YTick', [])
xlabel('count')
%---------------------------------------------------


%%

setfigure
printfigure