
clear all; clc; close all;

fname = 'isom_traj_dk';
Interpreter = 'latex';

k = [2 1 3 1.5; 2 3 1 2.5];

numax_y = 2;
numax_x = 2;

fig = prepfigure([11.75 8], 'Name', fname);

dx = .03;
dy = .08;
numax = numax_x*numax_y;

[ax,sax] = prepsubaxes(numax_y,numax_x,[dx dy], [0.08 0.10 0.02 0.05]);


for j=1:numax
    set(fig, 'CurrentAxes', ax(j))
    hold all;
    load([fname, num2str(k(1,j)-k(2,j))])
    
    for i=1:5
        plot(tcell{i},ncell{i}, '-b');
    end 
    
    line(t_ode, x_ode, 'Color', 'r', 'LineStyle', '--', 'LineWidth', 1.5);
    
    htit(j) = title(['$k_w=',num2str(k(1,j)), ...
                      ', k_u=',num2str(k(2,j)), '$']);
end

set(ax, 'ylim', [0 20])


sax.finish()
xlabel(sax.labelx(1), 'time')
xlabel(sax.labelx(2), 'time')
ylabel(sax.labely(1), 'copy number')
ylabel(sax.labely(2), 'copy number')
set(htit, 'Interpreter', Interpreter)

%%
setfigure
printfigure