function [tf,idx] = iswhole(varargin)
% ISWHOLE True for integers(whole numbers).
%     ISWHOLE(X) is 1 for the elements of X that are integers, 0 otherwise.
%     ISWHOLE(X1,X2,..,XN) returns a 1-by-N array with 1 for integers and 0
%     otherwise.
% ISWHOLE does not check for integer data type as does ISINTEGER.

% Mukhtar Ullah
% mukhtar.ullah@informatik.uni-rostock.de
% University of Rostock
% November 15, 2004
%%%%%%%%%%%%%%%%%%%%%
% Adapted SLIGHTLY from the original version of iswhole() by Mukhtar
% Josef Lotz
% Portland State University
% February 276, 2007

args = varargin;

if nargin < 2
    M = args{:};
    tf = M == round(M);    
else
  tf = cellfun(@(x) isequal(x,round(x)), args);
end

% Line added to retrieve indices of the whole numbers
idx = find(tf);
% % As well as a vector of whole numbers found
% varout = M(idx);