clear all;clc;close all

if exist('make_lv_2ma', 'file')
    dydt = @make_lv_2ma;
else
    k = [1 .005 0.6];    
    param.k = k;   
    [S,a] = makereaction('lv', param);
    make2ma(S,a,'lv');
    lv_2ma;
end

%%
t0 = 0;
tf = 30; % sec
y0 = [50;100;zeros(3,1)];

% [t_2ma,y] = ode15s(dydt, [t0 tf], y0);
[t_2ma,y] = ode15s(dydt, [t0 tf], y0);

mu_2ma = y(:,1:2);

sd_2ma = sqrt(y(:,[3 5]));

axprop = {'box', 'on', 'units', 'centimeters'};

% 5.591, 

ti = linspace(0,tf,40).';

figure('Name', 'lv_2ma_prey')
axes(axprop{:}, 'Position', [2 2 5.491 4.251])
hold all;
plot(t_2ma,mu_2ma(:,1), '-b')
yi_2ma = interp1q(t_2ma, [mu_2ma(:,1) sd_2ma(:,1)], ti);
errorbar(ti,yi_2ma(:,1),yi_2ma(:,2), '.b');
axis([0 tf -200 500])
% set(gca, 'YTick', -200:100:500)
xlabel('time (sec)')
ylabel('copy number')
% axpos = get(gca, 'outerposition');
% set(gcf, 'units', 'centimeters', 'position', [0 0 axpos()])
% set(gca, 'LooseInset', get(gca, 'TightInset'));
setfigure
printfigure

figure('Name', 'lv_2ma_predator')
axes(axprop{:}, 'Position', [2 2 5.491 4.242])
hold all;
plot(t_2ma,mu_2ma(:,2), '-b')
yi_2ma = interp1q(t_2ma, [mu_2ma(:,2) sd_2ma(:,2)], ti);
errorbar(ti,yi_2ma(:,1),yi_2ma(:,2), '.b');
axis([0 tf 0 600])
% set(gca, 'YTick', 0:100:600)
xlabel('time (sec)')
ylabel('population')
setfigure
printfigure