clear all;clc;close all

tmax = 30; % sec
n0 = [50;100];
nPaths = 1;

k = [1 .005 0.6];
param.k = k;
[S,a] = makereaction('lv', param);

A = @(t,n) S*a(n) ;
% D = @(t,n) S*diag(sqrt(a(n)));
D = @(t,n) S.*sqrt(repmat(a(n)',size(S,1),1));

SDE = sde(A, D, 'StartState', n0); 

nPeriods = 250;      % # of simulated observations
dt       =   tmax/nPeriods;      % time increment

strm = RandStream('mt19937ar','Seed',142857);
RandStream.setDefaultStream(strm);
[N,T] = SDE.simulate(nPeriods, 'DeltaTime', dt, 'nTrials', nPaths);

N = real(N);

N1 = N(:,:,1); % first realisation

% M = mean(N,3);
% 
% SD = std(N,[],3);

% [T,N1] = SimulateSDE(S,a,n0,tmax,nPeriods);

plot(T,N1)

%%
% [nOut,nbin] = hist(squeeze(N(end,1,:)), 10);
% [nOut,nbin] = hist(squeeze(N(end,1,:)), 10);
% 
% save lv_sde T N1 M SD nOut nbin n0 tmax k


