clear all;clc;close all

figw = 11.8;
figh = 5.2;
aspratio = figh/figw;

prepfigure([figw figh], 'Name', 'lv_sde');

pos0 = get(0, 'DefaultAxesPosition');
pos0([1 3]) = pos0([1 3]) + 0.04*[-1 3];
pos0(2) = pos0(2) + 0.07;

dx = 0.12;
hg = pos0(4);
pos = pos0([1 1],:);

pos(2,3) = aspratio*hg;
pos(1,3) = pos0(3) - aspratio*hg - dx;
pos(2,1) = pos(1,1) + pos(1,3) + dx;

prepaxes('Position', pos(1,:), 'Box', 'on')
hold all;
%---------------------------------------------------


tmax = 30; % sec
n0 = [50;100];
nPaths = 1;

k = [1 .005 0.6];
param.k = k;
[S,a] = makereaction('lv', param);

SDE = makesde(S, a, 'StartState', n0);

nPeriods = 500;      % # of simulated observations
dt       =   tmax/nPeriods;      % time increment

strm = RandStream('mt19937ar','Seed',142857);
RandStream.setDefaultStream(strm);
[N,T] = SDE.simulate(nPeriods, 'DeltaTime', dt, 'nTrials', nPaths);

i1 = find(T<6.2, 1, 'last');
i2 = find(T>5, 1, 'first');

hTimeCourse = plot(T, N);
axis tight
nmax = max(N(:));
ylim([0 1.05*nmax])
set(gca, 'YTick', 0:200:nmax)
set(hTimeCourse, {'Color'},{'b';'r'})
htext(1) = text(T(i1),N(i1,1),'prey   ');
htext(2) = text(T(i2),N(i2,2),'   predator');
set(htext, {'HorizontalAlignment'}, {'right';'left'}, {'Color'}, {'b';'r'})
xlabel('time')
ylabel('population')
%---------------------------------------------------

prepaxes('Position', pos(2,:), 'Box', 'on')
hold all;
%---------------------------------------------------

hPhasePlot = line(N(:,1),N(:,2));
ylim([0 1.05*nmax])
xlim([0 1.05*max(N(:,1))])
set(gca, 'YTick', 0:200:nmax)
set(hPhasePlot, 'LineWidth',1,'Color','k')
xlabel('prey population')
ylabel('predator population')

%%
setfigure
printfigure
