function hOut = make2ma(S,a,model)

s = size(S,1);
n = sym('n%d', [s 1]);
C = sym('C%d%d', [s s]);
aofn = a(n);
A = S*aofn;
B = S*diag(aofn)*S.';

if s==1    
    odearg = [n C].';
    d1Adn = diff(A, n);
    d2Adn2 = diff(d1Adn,n);
    dndt = A +  0.5*d2Adn2.*C;
%     d2Bdn2 = diff(B, n, 2);
    dCdt = 2*d1Adn*C + B + 0.5*d2Adn2.*C;    
else    
    C = tril(C) + tril(C,-1).';    
    onesxs = ones(s);
    ind = find(tril(onesxs));
    odearg = [n; C(ind)];    
    d1Adntr = jacobian(A, n);
    d1Atrdn = d1Adntr.';
    dndt = A;    
    for i=1:s
        d2Aidn2 = jacobian(d1Atrdn(:,i),n);
        dndt(i) = dndt(i) + 0.5*sum(d2Aidn2(:).*C(:));
    end    
    dCdt = d1Adntr*C;
    dCdt = dCdt + dCdt.';    
    for idx=ind(:).'
        d1Bijdn = jacobian(B(idx), n).';
        d2Bijdn2 = jacobian(d1Bijdn,n);
        dCdt(idx) = dCdt(idx) + B(idx) + 0.5*sum(d2Bijdn2(:).*C(:));
    end    
    dCdt = dCdt(ind); 
end

t = sym('t');
options = { 'vars', {t,odearg} };
if exist('model', 'var')
    options(2) = { 'file', ['make_', model, '_2ma'] };
end
hOut = matlabFunction( [dndt; dCdt], options{:} );