function [ssa,ensem] = makeSSA(S,a)
rng('shuffle');
s = size(S,1);
ssa = @gillespie;
ensem = @ensemble;
    % Single run
    function [tt,nn] = gillespie(n,tmax,dt)
        t = 0;
        steps = tmax/dt;        
        tt = zeros(steps,1);
        nn = zeros(steps,s);
        nn(1,:) = n;
        idx = 1;
        while t<tmax
            if all(n==0) % exhaustion check
                disp('Reactants exhausted!');
                break;
            end
            asum = cumsum(a(n));
%             t = t + exprnd(1./asum(end));
            t = t - (1/asum(end))*log(rand);            
            j = find(asum>asum(end)*rand,1);
            n = n + S(:,j);
            if (t - tt(idx)) > dt
                idx = idx + 1;
                tt(idx) = t;
                nn(idx,:) = n;                
            end
        end
        tt(idx:end) = [];
        nn(idx:end,:) = [];
    end
    % Ensemble run
    function [TT,NN] = ensemble(n0,tmax,dt,runs)
        TT = (0:dt:tmax)';
        NN = zeros(1+tmax/dt, s, runs);
        ttmax = zeros(runs,1);
        for i=1:runs
            [tt,nn] = gillespie(n0,tmax,dt);            
            ttmax(i) = tt(end);
            NN(:,:,i) = interp1q(tt, nn, TT);         
        end
        idx = (TT > min(ttmax));
        TT(idx) = [];
        NN(idx,:,:) = [];
    end
end