clear all; clc; close all;

lambda = [1 4 10];
numpar = numel(lambda);

k = [0:20].';
P = zeros(numel(k),numpar);


for i = 1:numpar    
    P(:,i) = poisspdf(k,lambda(i));
end

Interpreter = 'latex';

prepfigure([8 6.3]);
ax = prepaxes('box','on');
h = plot(k, P);

set(h,'LineStyle', 'none', ...
      'MarkerSize', 3, ...
      {'Marker'}, {'o';'+';'x'}, ...
      {'Color'}, {'b';'k';'r'} );

hleg = legend( ['$\lambda=', num2str(lambda(1)), '$'], ...
               ['$\lambda=', num2str(lambda(2)), '$'], ...
               ['$\lambda=', num2str(lambda(3)), '$'] );

set(hleg, 'Interpreter',Interpreter) 
fixlegend(0.8)
hxlab = xlabel('$k$');
hylab = ylabel('$P(k)$');
set([hxlab, hylab], 'Interpreter', Interpreter)

setaxes yoffset

setfigure
printfigure('poisson_pmf')