clear all; clc; close all

lambda = 1;

numax_y = 1;
numax_x = 2;

fig = prepfigure([11.8 6]);
Interpreter = 'latex';

dx = .15;
numax = numax_x*numax_y;

ax = prepsubaxes(numax_y,numax_x,dx, [0.10 0.10 0.04 0]);

set(fig, 'CurrentAxes', ax(1))
ni = [0:12].';
ti = [0:0.2:5].';
[tti,nni] = meshgrid(ti,ni);
ppi = poisspdf(nni, lambda*tti);
mesh(tti, nni, ppi, 'EdgeColor', 'b', 'FaceColor', 'none')
view(116, 24);shg

set(fig, 'CurrentAxes', ax(2))
n = (0:35).';
t = [5:20].';
[tt,nn] = meshgrid(t,n);
pp = poisspdf(nn, lambda*tt);
mesh(tt, nn, pp, 'EdgeColor', 'b', 'FaceColor', 'none')
% set(hmesh, 'EdgeColor', 'b', 'FaceColor', 'b')
view(106, 34);shg

axis(ax, 'tight')
set(ax, 'PlotBoxAspectRatioMode', 'manual')

for i=1:numax
    xlabh = xlabel(ax(i), '$t$');
    ylabh = ylabel(ax(i), '$n$');
    zlabh = zlabel(ax(i), '$P(n,t)$');
    set([xlabh,ylabh,zlabh], 'Interpreter',Interpreter)
    grid(ax(i), 'on')
end

%%
setfigure
printfigure('poisson_process_pmf')

%%
% gh = setfigure('poisson_process_pmf');
% gh.print2pdf('eps2pdf')