function varargout = prepannotation(fig)

error(nargoutchk(0, 2, nargout))

if nargin==0
    fig = gcf;
else
    assert(isscalar(fig) && ishghandle(fig,'figure'), 'Invalid figure handle')
    figure(fig)
end

oldunits = get(fig, 'Units');
set(fig, 'Units', 'normalized')

if nargout>1    
    disp('Click two points on the graph to place 1D annotation objects:')
    k = waitforbuttonpress;
    rect1 = rbbox;
    k = waitforbuttonpress;    
    rect2 = rbbox;
    arx = [rect1(1); rect2(1)];
    ary = [rect1(2); rect2(2)];
    varargout(1:2) = {arx ary};    
else    
    disp(['Drag a rectangle in the axes ', ...
        'to define the bounding box of 2D annotation objects:'])
    k = waitforbuttonpress;
    varargout{1} = rbbox;    
end

set(fig, 'Units', oldunits)
