function printfigure(fname, svgexport)

if nargin<1
    fname = get(gcf, 'Name');
end

if nargin<2
    svgexport = false;
end

print('-depsc2', fname)

if ~svgexport
    fix_lines([fname '.eps'])
    evalc(['!epstopdf ' fname '.eps']);
else    
    fix_lines([fname '.eps'], [fname '_tmp.eps'])    
    evalc(['!eps2eps -dNOCACHE ' fname '_tmp.eps ' fname '.eps']);    
    evalc(['!epstopdf ' fname '.eps']);
    
    PortApps = 'D:\Programs\';    
    os_path = getenv('PATH');
    setenv('PATH', [os_path ';' PortApps 'inkscape']);
    
    c = onCleanup(@()setenv('PATH', os_path));
    
    evalc(['!inkscape.exe -z -D -f ' fname '.pdf -l ' fname '.svg']);
    
    delete([fname, '_tmp.eps'])
end