clear all; clc; close all

Splus = diag(ones(6,1));
S = [-Splus Splus];

% Parameters:

ssz = 1; % System size omega

% a0 = 5e-4*ssz; % alpha_0*omega
% a1 = 1e3*a0*ssz; % alpha_1*omega
% g = 0.83e-2; % gamma
% b = 1.67e-3; % beta
% K = 40; % K
% lm = 20*b*K; % lambda
% K = K*ssz; % K*omega
% 
% prop = @(n) [ g*n(1:3); ...
%               b*n(4:6); ...
%               a0 + a1./(1+(n([6 4 5])/K).^2); ...
%               lm*n(1:3) ];
          
% a0 = 1.2;
% a1 = a0*1e3;
% b = 0.2;

a0 = 0.25;
a1 = 250;
b = 5;
h = 2.1;

prop = @(n) [ n(1:3); ...
              b*n(4:6); ...
              a0 + a1./(1+n([6 4 5]).^h); ...
              b*n(1:3) ];

[ssa,ensem] = makeSSA(S,prop);

% Time:

tmax = 50;
dt = 0.01;

% Initial conditions:

n0 = zeros(6,1);

% n0(1:2) = [2 10];

n0([4 6]) = [5 15];

% Run Gillespie loop:
[t,n] = ssa(n0,tmax,dt);

plot(t,n(:,4:6))

figure
[T,N] = simCLE(S,prop,n0,tmax,dt);
plot(T,N(:,4:6))
