clear all;clc;close all

% make2masym('schloegl', param);

if exist('make_schloegl_2ma', 'file')
    dydt = @make_schloegl_2ma;
else
    k = [3.0,0.6,0.25,2.95];
    param.k = k;
    param.xA = 1;
    param.xB = 2;
    param.ssz = 80;
    [S,a] = makereaction('schloegl', param);
    make2ma(S,a);
    schloegl_2ma;
end

t0 = 0;
tf = 5; % sec
y0 = [100;0];
options = odeset('refine', 4);
% [t_2ma,y] = ode15s(dydt, [t0 tf], y0);
[t_2ma,y] = ode15s(dydt, [t0 tf], y0, options);

mu_2ma = y(:,1);

sd_2ma = sqrt(y(:,2));

fig = prepfigure([11.8 5.5], 'Name', 'schloegl_2ma');

pos0 = get(0, 'DefaultAxesPosition');
pos0([1 3]) = pos0([1 3]) + 0.04*[-1 2.5];
pos0(2) = pos0(2) + 0.05;

dx = 0.11;
wd = 0.5*(pos0(3) - dx);
pos1 = pos0; pos2 = pos0;

pos1(3) = wd;
pos2(3) = wd;
pos2(1) = pos1(1) + wd + dx;

ax(1) = prepaxes('Position', pos1, 'Box', 'on');
hold all;
%---------------------------------------------------

hmean = plot(t_2ma,mu_2ma);
ylim([100 170])
set(ax(1), 'YTick', 100:20:160)
xlabel('time')
ylabel('copy number')

%---------------------------------------------------

ax(2) = prepaxes('Position', pos2, 'Box', 'on');
hold all;
%---------------------------------------------------

ti = linspace(0,tf,20).';
yi_2ma = interp1q(t_2ma, [mu_2ma sd_2ma], ti);
yi_2ma = yi_2ma/1e5;
errorbar(ti,yi_2ma(:,1),yi_2ma(:,2), 'xb');
xlim([0 tf])
xlabel('time')
ylabel('copy number (10^5)')

set(ax, 'xlim', [0 5])

%---------------------------------------------------

%%
setfigure
printfigure

