% Set parameter values.
[V,xa,xb] = deal(80,1,2);
[k1,k2,k3,k4] = deal(3.0,0.6,0.25,2.95);

% Construct ODE
dxdt = @(t,x) k1*xa*x.^2-k2*x.^3+k3*xb-k4*x;

% v = @(x) k1*xa*x^2-k2*x^3+k3*xb-k4*x;


% phasport(dxdt, [-25 400]/V);
% saveas(gcf,'bd9_7ex2_pp.eps', 'psc2')
% timeplots(dxdt, [0 5 0 320/V])
% saveas(gcf,'bd9_7ex2_th.eps', 'psc2')

% fplot(v, [-25 400]/V)
% refline(0,0)

%%

% Define initial conditions.
t0 = 0;
tf = 5;
% n0 = 80;
n0 = 100;
x0 = n0/V;

options = odeset('RelTol',1e-6);
[tmac,xmac] = ode113(dxdt,[t0 tf],x0,options);
nmac = round(V*xmac);
prepfigure([5 3.8])
prepaxes('box', 'on');
plot(tmac,nmac)
xlabel('time')
ylabel('copy number')
text(0,17,' \leftarrow stable')
text(0,83,' \leftarrow unstable')
text(0,300,' \leftarrow stable')
axis([0 5 0 320])
set(gca, 'xtick', 0:5, ...
         'ytick', [17 83 100 300], ...
         'yticklabel', {'17';'';'100';'300'})
%%     
setfigure
printfigure(['schloegl_ode_init_',int2str(n0)])