
clear all;clc;close all
load schloegl_ensem_selected

% ts(1) = [];
% ns(:,1) = [];


numelt = numel(ts);
npoints = 100;
np = linspace(0,400,npoints);
p = zeros(npoints,numelt);
for j=1:numelt
    p(:,j) = ksdensity(ns(:,j), np, 'support', 'positive');
end

numax_y = 1;
numax_x = 2;

fig = prepfigure([11.5 6], 'Name', 'schloegl_pmf');
Interpreter = 'latex';

dx = .15;
numax = numax_x*numax_y;
ax = prepsubaxes(numax_y,numax_x,dx,[0.10 0.08 0.03 0]);

set(fig, 'CurrentAxes', ax(1))
[tti,nni] = meshgrid(ts(:,1),np);
pi = p(:,1:numelt/2);
plot3(tti,nni,pi,'b')

set(fig, 'CurrentAxes', ax(2))
[ttf,nnf] = meshgrid(ts(:,2),np);
pf = p(:,floor(numelt/2)+1:numelt);
plot3(ttf,nnf,pf,'b')

axis(ax, 'tight')
set(ax, 'PlotBoxAspectRatioMode', 'manual')

for i=1:numax
    grid(ax(i), 'on')
    xlabel('$t$', 'Interpreter', Interpreter)
    ylabel('$n$', 'Interpreter', Interpreter)
    zlabel('$P(n,t)$', 'Interpreter', Interpreter)
    view(ax(i), 120, 60);shg
end


%%
setfigure
printfigure

%%

tsel = [0 .003 .005 ;.02 .04 .08; .3 .6 1; 2 3 5];

nsel = zeros(size(ns,1),numel(tsel));

nsel(:,1) = ns(:,1);

for j=2:numel(tsel)    
    nsel(:,j) = ns(:,find(ts>=tsel(j),1));
end

numax_y = 4;
numax_x = 3;

fig2 = prepfigure([11.6 11], 'Name', 'schloegl_hist');
Interpreter = 'latex';

dx = .005;
dy = .005;
numax = numax_x*numax_y;

[ax,sax] = prepsubaxes(numax_y,numax_x,[dx dy], [0.10 0.08 0.08 0.08]);
nbins = 50;

for i=numax:-1:1    
    set(fig2, 'CurrentAxes', ax(i))
    [nOut,xbin]=hist(nsel(:,i),nbins);
    nOut = nOut/100;
    hbar(i)= bar(xbin,nOut,1);
    xlim([0 400])
    set(ax(i), 'XTick', [0 200 400])
    htxt(i) = text(395, 0.85*max(nOut(:)), ['$t = ', num2str(tsel(i)),'$'], 'HorizontalAlignment', 'right');    
end

% set(ax, 'XTick', [0 200 400], 'YTick', [0 5 10])
hbase = get(hbar, 'BaseLine');
set([hbase{:}],'LineStyle','none')

sax.finish()

sax.xlabel('copy number')

sax.ylabel('count (100)')

set(hbar, 'LineWidth' ,0.2, 'FaceColor', [0.8 .8 1])
   
set(htxt, 'Interpreter', Interpreter)

%%
setfigure
printfigure
