function setfigure(fig)

if nargin==0
    fig = get(0, 'CurrentFigure');
end

assert( isscalar(fig) && ishghandle(fig,'figure'), ...
    'Missing figure or Invalid figure handle' )

set(fig, 'Renderer', 'painters');

axfixed = findobj(fig, 'Type', 'axes', ...
    '-not', 'Tag', 'legend', '-not', 'Units', 'normalized');

if isempty(axfixed)
    units = get(fig, 'Units');
    set(fig, 'Units', get(fig, 'PaperUnits'))
    figpos = get(fig, 'Position');
%     set(fig, 'PaperPosition', [0 0 figpos(3:4)], 'Units', units);
    set( fig, 'PaperType', '<custom>', 'PaperSize', figpos(3:4), ...
         'PaperPositionMode', 'auto', 'Units', units, 'Resize', 'off' );
end
