function [T,N] = simCLE(S,a,n0,tmax,dt)
[s,r] = size(S);
% Function to generate a sample path of an CLE
A = @(n) S*a(n); % Drift-rate
D = @(n) S*diag(sqrt(a(n))); % Diffusion coefficient
Steps = tmax/dt; % number of steps
T = (0:dt:tmax)'; % Time output
% Refresh the random number generator
strm = RandStream('mt19937ar','Seed',142857);
RandStream.setDefaultStream(strm);
dW = sqrt(dt)*randn(r,1); % Wiener processes
n = n0;
N = zeros(Steps+1,s); % time-course of States
N(1,:) = n0;
for i=2:Steps
    n = n + dt*A(n) + D(n)*dW;
    N(i,:) = real(n);
end