clear all;clc; close all
% T = exprnd(2,4,1);
% W = [0; cumsum(T)];
% n = [2;3;4;3;3];
load waitings;

prepfigure([8 6.3])
ax = prepaxes;
hold all;
Interpreter = 'latex';

stairs(W, n, 'Color', 'b', 'Marker', 'o', ...
    'LineWidth', .4, 'MarkerSize', 2, 'MarkerFaceColor', 'r')

k = (1:numel(W)-1)';
Wstr = [ {'$0$'}; arrayfun(@(n) {sprintf('$W_%d$', n)}, k) ];
set(ax, 'YLim', [0 5], 'XTick', W, 'XTickLabel', Wstr)
yT(1:numel(k),:) = 4.75;
Tstr = arrayfun(@(n) {sprintf('$T_%d$', n)}, k-1);
text(W(k)+T(k)/2, yT, Tstr, ...
    'HorizontalAlignment', 'center', 'Margin', .5, 'Interpreter', Interpreter)
 
xlabel('$t$', 'Interpreter', Interpreter)
ylabel('$X(t)$', 'Interpreter', Interpreter)

%%
setaxes('xtick2text')
setaxes('xlabelcorner')
setaxes('ylabelcorner')
setaxes('axesarrows')
%%
har = zeros(size(k));
for i=k'
    [xfig,yfig] = dsxy2figxy(W([i i+1]), .95*yT(i,[1 1]));
    har(i) = annotation('doublearrow', xfig , yfig);
end

set(har, 'LineWidth', .25, 'Color', 'k', ...
         'Head1Length', 3.5, 'Head2Length', 3.5, ...
         'Head1Width', 3.5, 'Head2Width', 3.5, ...
         'Head1Style', 'vback3', 'Head2Style', 'vback3')
%----------------------------------------------------------------------

%%
setfigure
printfigure('waitings')
